3

I am getting this error

Connection Failed: blueman.bluez.errors.DBusFailedError: Protocol not available

I tried several solutions like reinstall blueman

And PulseAudio can not load bluetooth module 15.10/16.04/16.10

But nothing works for me. Below are the list of things which are installed

 dpkg -l | grep bluetooth
ii  blueman                                    2.0.4-1ubuntu2                               amd64        Graphical bluetooth manager
ii  bluetooth                                  5.37-0ubuntu5.1                              all          Bluetooth support
ii  gnome-bluetooth                            3.18.2-1ubuntu2                              amd64        GNOME Bluetooth tools
ii  indicator-bluetooth                        0.0.6+16.04.20160526-0ubuntu1                amd64        System bluetooth indicator.
ii  libbluetooth3:amd64                        5.37-0ubuntu5.1                              amd64        Library to use the BlueZ Linux Bluetooth stack
ii  libgnome-bluetooth13:amd64                 3.18.2-1ubuntu2                              amd64        GNOME Bluetooth tools - support library
ii  pulseaudio-module-bluetooth                1:8.0-0ubuntu3.10                            amd64        Bluetooth module for PulseAudio sound server

dmesg | egrep -i 'blue|firm'; pactl list short | grep blue

[    0.026790] Spectre V2 : Enabling Restricted Speculation for firmware calls
[    0.197041] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[    5.599950] usb 2-4: Product: Bluetooth Radio 
[   15.219353] Bluetooth: Core ver 2.21
[   15.219366] Bluetooth: HCI device and connection manager initialized
[   15.219369] Bluetooth: HCI socket layer initialized
[   15.219372] Bluetooth: L2CAP socket layer initialized
[   15.219376] Bluetooth: SCO socket layer initialized
[   15.690338] Bluetooth: hci0: rtl: examining hci_ver=06 hci_rev=000b lmp_ver=06 lmp_subver=8723
[   15.690341] Bluetooth: hci0: rtl: loading rtl_bt/rtl8723b_fw.bin
[   15.849210] rtl8723be: Using firmware rtlwifi/rtl8723befw.bin
[   15.946331] Bluetooth: hci0: rom_version status=0 version=1
[   29.075249] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   29.075253] Bluetooth: BNEP filters: protocol multicast
[   29.075257] Bluetooth: BNEP socket layer initialized
[   98.470379] Bluetooth: RFCOMM TTY layer initialized
[   98.470389] Bluetooth: RFCOMM socket layer initialized
[   98.470395] Bluetooth: RFCOMM ver 1.11

OS- ubuntu 16.04 Earphone - Tagg inferno(https://www.amazon.in/Inferno-Wireless-Bluetooth-Earphone-Carry/dp/B01M9DROES)

  • Please edit the question to include results for lsusb: dmesg | egrep -i 'blue|firm'; pactl list short | grep blue – Jeremy31 Jan 27 at 20:48
  • @Jeremy31 Done please check – Aniket Shivam Tiwari Jan 28 at 6:55
  • There has been a similar issue here on AskUbuntu, you can check here the answer given and see if it worked for you: askubuntu.com/questions/801404/… – Xacobe Cimadevila Moreno Feb 6 at 9:47
  • I have already tried this solution but it gives me Failure: Module initialization failed – Aniket Shivam Tiwari Feb 6 at 10:30
0

The solution from this article worked for me:

  1. Make sure this package is installed

    sudo apt-get install pulseaudio-module-bluetooth
    
  2. Run the command

    pactl load-module module-bluetooth-discover
    

Then delete the device from bluetooth devices and pair it again.

If it works, you can consider adding the second command to your startup settings, so that you don't have to run it again after every reboot.

  • I have already tried this solution but it gives me Failure: Module initialization failed – Aniket Shivam Tiwari Feb 13 at 7:15

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.